Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

CS-Cart And Multi-Vendor 4.1.2 Released, Brings Google Chrome Fix, Security Improvement, And 4.0.x Theme Support Rate Topic   - - - - -

 
  • imac
  • Head of Product
  • CS-Cart Architects
  • Join Date: 22-Nov 05
  • 2074 posts

Posted 30 January 2014 - 11:31 AM #21

Hi, can you say how you resolved this please? We have the same error. Thanks.


Hi japanexp,

The PHP 'Phar' module should be installed on your server.
Actually as written here http://php.net/manua...nstallation.php it should be enabled since PHP 5.3.0+
What version do you use, what OS is installed on you server?
Ilya Makarov,
CS-Cart Architect Team
Suggest and vote for new features | Report a bug

 
  • japanexp
  • Advanced Member
  • Members
  • Join Date: 02-Nov 13
  • 130 posts

Posted 30 January 2014 - 01:15 PM #22

Hi, PHP version 5.3.27 on Apache/Linux. When I look for available PHP extensions in cPanel, it offers pearweb_phars (1.9.5)

http://pear.php.net/...rweb_phars/docs

Is this what I need?

 
  • jackyboy
  • Junior Member
  • Members
  • Join Date: 31-Dec 10
  • 49 posts

Posted 30 January 2014 - 04:11 PM #23

We had the same issue upgrading from 4.1.1 to 4.1.2.
Fatal error: Class 'PharData' not found in....

StellarBytes showed the solution. We had our host install the 'phar' module for us. After clearing all caches and waiting a few minutes for the server,
the upgrade proceeded without a hiccup.


 
  • StellarBytes
  • Senior Member
  • Members
  • Join Date: 08-Aug 11
  • 1807 posts

Posted 30 January 2014 - 07:48 PM #24

Just goes to show...if the CS-Cart docs were kept up to date, there would be no need for the users who have experienced the 'phar' issue to post here and submit support tickets. The requirements document states GD library and cURL are required....these are PHP modules, so why isn't another PHP module - Phar - included in this list?

Running 4.1.2 successfully now, time to take it for a test drive.
Hire StellarBytes for CS-Cart Design & Development Services

 
  • japanexp
  • Advanced Member
  • Members
  • Join Date: 02-Nov 13
  • 130 posts

Posted 31 January 2014 - 07:27 AM #25

Well, if Phar is a new requirement, then the Upgrade Center should test its presence before proceeding and generate a user friendly error before failing with a cryptic "Fatal Error"...

 
  • imac
  • Head of Product
  • CS-Cart Architects
  • Join Date: 22-Nov 05
  • 2074 posts

Posted 31 January 2014 - 04:25 PM #26

Just goes to show...if the CS-Cart docs were kept up to date, there would be no need for the users who have experienced the 'phar' issue to post here and submit support tickets. The requirements document states GD library and cURL are required....these are PHP modules, so why isn't another PHP module - Phar - included in this list?

Running 4.1.2 successfully now, time to take it for a test drive.


Thanks StellarBytes,

I've added this to Requirements.
Ilya Makarov,
CS-Cart Architect Team
Suggest and vote for new features | Report a bug

 
  • mattcaswell
  • Junior Member
  • Members
  • Join Date: 06-Oct 09
  • 79 posts

Posted 01 February 2014 - 06:17 PM #27

This upgrade kept my changes to the invoice template that I had posted but it did wipe out my wider page for printing.
Why can't you guys add an option to fit the invoice to 1 page and have it do the scaling automatically?

 
  • imac
  • Head of Product
  • CS-Cart Architects
  • Join Date: 22-Nov 05
  • 2074 posts

Posted 03 February 2014 - 01:41 PM #28

This upgrade kept my changes to the invoice template that I had posted but it did wipe out my wider page for printing.
Why can't you guys add an option to fit the invoice to 1 page and have it do the scaling automatically?

Hi Matt,

I'm not quite clear what do you mean under "page for printing"

As for the invoice scale. Do you mean display an invoice always on a single page, even if there are a lot of products purchased?
I do not think all CS-Cart users will like this.
Ilya Makarov,
CS-Cart Architect Team
Suggest and vote for new features | Report a bug

 
  • dalex
  • Newbie
  • Members
  • Join Date: 06-Aug 13
  • 9 posts

Posted 05 February 2014 - 08:44 PM #29

I've upgraded cs-cart to 4.1.2 (via 4.1.1) and now I have trouble with Google Chrome and admin panel...

 
  • johnbol1
  • Never Re
  • Members
  • Join Date: 23-Feb 10
  • 4657 posts

Posted 05 February 2014 - 09:17 PM #30

I've upgraded cs-cart to 4.1.2 (via 4.1.1) and now I have trouble with Google Chrome and admin panel...



Trouble, what trouble can you explain?. If it is ..."AW Snap" Have you cleared your browser cache and site cache

Custom printed hi visibility clothing sale the UK's online hivis safety shop
v4.5.2


 
  • dalex
  • Newbie
  • Members
  • Join Date: 06-Aug 13
  • 9 posts

Posted 05 February 2014 - 09:50 PM #31

Trouble, what trouble can you explain?. If it is ..."AW Snap" Have you cleared your browser cache and site cache

Oh! Thank you :-) I've cleared site cache but not browser. Administrator panel work fine after cleared browser cache .

 
  • Darius
  • Douchebag
  • Members
  • Join Date: 20-Apr 08
  • 3297 posts

Posted 07 February 2014 - 07:27 AM #32

I may be wromg but
https://www.cs-cart.com/roadmap.html

"Easy invoices and packing slip editing" was under being developed but now it is only planned? Software that sells stuff no capability to edit invoice or even change edit invoice number, shame...

 
  • almondjjoy
  • Member
  • Members
  • Join Date: 27-Feb 10
  • 170 posts

Posted 19 February 2014 - 01:12 AM #33

Trouble, what trouble can you explain?. If it is ..."AW Snap" Have you cleared your browser cache and site cache


I'm having the same, "oh snap" problem. I totally uninstalled and reinstalled google chrome and it doesn't work yet in chrome. It works in IE. How do I clear my cache in the site admin?





Fixed it!

 
  • johnbol1
  • Never Re
  • Members
  • Join Date: 23-Feb 10
  • 4657 posts

Posted 19 February 2014 - 06:39 PM #34

yoursite/youradmin.php?&cc

Custom printed hi visibility clothing sale the UK's online hivis safety shop
v4.5.2


 
  • scooterlord
  • Advanced Member
  • Members
  • Join Date: 29-Jun 13
  • 111 posts

Posted 04 March 2014 - 06:43 PM #35

Hello there. I am still left at 4.0.1 version because upgrading to 4.0.2 messed up my theme. How can I upgrade to the latest version without problems? Is it possible?

edit: trying to upgrade to 4.0.2 once more has messed everything up. I made a clean install of a free trial 4.1.2 elsewhere. Is it possible to use the store import tool to import from 4.0.1?

Will the store import tool be able transfer all my localization, tax, shipping, forms, products, categories, menus, layouts to the new version?

Currently as a trial store-import says this version is not supported.

I tested the theme from 4.0.1 on top of 4.1.2 and seems to be working fine.

 
  • imac
  • Head of Product
  • CS-Cart Architects
  • Join Date: 22-Nov 05
  • 2074 posts

Posted 05 March 2014 - 01:58 PM #36

Hello there. I am still left at 4.0.1 version because upgrading to 4.0.2 messed up my theme. How can I upgrade to the latest version without problems? Is it possible?

edit: trying to upgrade to 4.0.2 once more has messed everything up. I made a clean install of a free trial 4.1.2 elsewhere. Is it possible to use the store import tool to import from 4.0.1?

Will the store import tool be able transfer all my localization, tax, shipping, forms, products, categories, menus, layouts to the new version?

Currently as a trial store-import says this version is not supported.

I tested the theme from 4.0.1 on top of 4.1.2 and seems to be working fine.


Hi,

Store import do not support import from 4.0.x to 4.1.2. You can upgrade only via upgrade center.
I woul recommend you to contact our tech support - they will upgrade your store.
Ilya Makarov,
CS-Cart Architect Team
Suggest and vote for new features | Report a bug

 
  • scooterlord
  • Advanced Member
  • Members
  • Join Date: 29-Jun 13
  • 111 posts

Posted 05 March 2014 - 02:39 PM #37

Thanks for the reply, I created a copy of the the whole site and am trying to upgrade it. Looks like caching was creating my problems the last time, you should implement a function to disable cachiing when updating.